#include <bits/stdc++.h>
using namespace std;
long long i=2,j=1;
long long tong=0;
long long h[200000000];
int main()
{
	ifstream f1("TSNT.inp");
	ofstream f2("TSNT.out");
	long long N;
	long long g;
	f1>>N;
	g=N;
	while(N>1)
	{
		if(N%i==0)
		 {
		 	h[j]=i;
		 	j++;
		 	N=N/i;
		 	tong=tong+i;
		 }
		 else
		 i++;
	}
	f2<<g<<"=";
	for(i=1;i<j-1;i++)
	f2<<h[i]<<"*";
	f2<<h[j-1];
	f2<<endl<<tong;
	
}
